LMDE Breakages (Tracking SID)

Archived topics about LMDE 1
autocrosser
Level 4
Level 4
Posts: 436
Joined: Tue Dec 28, 2010 5:00 pm
Location: Eagle Point, Oregon

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by autocrosser » Tue Jun 25, 2013 9:06 pm

Thanks for the info guys...I looked at the bug & was more than a bit put off from installing it.......

Edit--got it & the held gcc stuff...thanks!!!
Last edited by autocrosser on Tue Jun 25, 2013 9:17 pm, edited 1 time in total.
"Let's nobody be dead today----Looks very bad on my report" One of my favorite lines from AVATAR :)
Linux User# 395230

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Tue Jun 25, 2013 9:10 pm

Brian49 wrote:wayne128 - I get a similar result, although with different items listed, when I try to upgrade just cpp, gcc or any of their related packages, so I have an idea that is where the trouble lies.

Thanks Brian49 for your reply.


Did it again... same thing, spend sometime checking gnome stuff..


Eventual uninstalled gnome-bluetooth and got d-u working without bring in gnome-shell..gnome-session etc.. :mrgreen:

Code: Select all

root@debian:/home/wayne# apt-get install -s gnome-bluetooth
Reading package lists... Done
Building dependency tree       
Reading state information... Done

The following extra packages will be installed:
  accountsservice alacarte apg cheese-common evolution-data-server
  evolution-data-server-common folks-common gir1.2-accountsservice-1.0
  gir1.2-caribou-1.0 gir1.2-clutter-1.0 gir1.2-clutter-gst-1.0 gir1.2-cogl-1.0
  gir1.2-coglpango-1.0 gir1.2-evince-3.0 gir1.2-folks-0.6 gir1.2-gck-1
  gir1.2-gconf-2.0 gir1.2-gcr-3 gir1.2-gdesktopenums-3.0 gir1.2-gee-1.0
  gir1.2-gkbd-3.0 gir1.2-gmenu-3.0 gir1.2-gnomebluetooth-1.0
  gir1.2-gst-plugins-base-0.10 gir1.2-gstreamer-0.10 gir1.2-gtkclutter-1.0
  gir1.2-gtksource-3.0 gir1.2-json-1.0 gir1.2-mutter-3.0
  gir1.2-networkmanager-1.0 gir1.2-panelapplet-4.0 gir1.2-polkit-1.0
  gir1.2-soup-2.4 gir1.2-telepathyglib-0.12 gir1.2-telepathylogger-0.2
  gir1.2-upowerglib-1.0 gir1.2-xkl-1.0 gjs gkbd-capplet gnome-applets
  gnome-applets-data gnome-contacts gnome-control-center
  gnome-control-center-data gnome-desktop3-data gnome-icon-theme-symbolic
  gnome-media gnome-menus gnome-online-accounts gnome-panel gnome-panel-data
  gnome-power-manager gnome-session gnome-session-bin gnome-session-common
  gnome-session-fallback gnome-settings-daemon gnome-shell gnome-shell-common
  gnome-sushi gnome-system-monitor gstreamer0.10-pulseaudio hwdata
  libaccountsservice0 libasound2-plugins libcamel-1.2-33
  libcanberra-gtk-module libcanberra-gtk0 libcaribou-common libcaribou0
  libcheese-gtk21 libcheese3 libclutter-1.0-0 libclutter-1.0-common
  libclutter-gst-1.0-0 libclutter-gtk-1.0-0 libclutter-imcontext-0.1-0
  libclutter-imcontext-0.1-bin libcluttergesture-0.0.2-0 libcogl-common
  libcogl-pango0 libcogl9 libcpufreq0 libebackend-1.2-2 libebook-1.2-13
  libecal-1.2-11 libedata-book-1.2-13 libedata-cal-1.2-15
  libedataserver-1.2-16 libedataserverui-3.0-1 libexempi3 libfolks-eds25
  libfolks-telepathy25 libfolks25 libgdata-common libgdata13 libgee2 libgjs0b
  libgnome-desktop-3-2 libgnome-media-profiles-3.0-0 libgnome-menu-3-0
  libgnomekbd-common libgnomekbd7 libgtkmm-3.0-1 libgtksourceview-3.0-0
  libgtksourceview-3.0-common libgtop2-7 libgtop2-common libgucharmap-2-90-7
  libgweather-3-0 libgweather-common libmetacity-private0a
  libmission-control-plugins0 libmozjs185-1.0 libmusicbrainz5-0 libmutter0
  libmx-1.0-2 libmx-bin libmx-common liboauth0 libpanel-applet-4-0
  libpulse-mainloop-glib0 libpulsedsp librest-extras-0.7-0
  libsocialweb-client2 libsocialweb-common libsocialweb-service libsocialweb0
  libtelepathy-glib0 libtelepathy-logger2 libwacom-common libwacom2
  libwebrtc-audio-processing-0 libwnck-3-0 libwnck-3-common metacity
  metacity-common mousetweaks mutter-common nautilus nautilus-data pulseaudio
  pulseaudio-module-x11 pulseaudio-utils rtkit telepathy-mission-control-5
  zenity zenity-common
Suggested packages:
  evolution evolution-data-server-dbg tomboy gnome-user-share
  gnome-screensaver eog tracker pavumeter pavucontrol paman paprefs
  telepathy-haze
The following NEW packages will be installed:
  accountsservice alacarte apg cheese-common evolution-data-server
  evolution-data-server-common folks-common gir1.2-accountsservice-1.0
  gir1.2-caribou-1.0 gir1.2-clutter-1.0 gir1.2-clutter-gst-1.0 gir1.2-cogl-1.0
  gir1.2-coglpango-1.0 gir1.2-evince-3.0 gir1.2-folks-0.6 gir1.2-gck-1
  gir1.2-gconf-2.0 gir1.2-gcr-3 gir1.2-gdesktopenums-3.0 gir1.2-gee-1.0
  gir1.2-gkbd-3.0 gir1.2-gmenu-3.0 gir1.2-gnomebluetooth-1.0
  gir1.2-gst-plugins-base-0.10 gir1.2-gstreamer-0.10 gir1.2-gtkclutter-1.0
  gir1.2-gtksource-3.0 gir1.2-json-1.0 gir1.2-mutter-3.0
  gir1.2-networkmanager-1.0 gir1.2-panelapplet-4.0 gir1.2-polkit-1.0
  gir1.2-soup-2.4 gir1.2-telepathyglib-0.12 gir1.2-telepathylogger-0.2
  gir1.2-upowerglib-1.0 gir1.2-xkl-1.0 gjs gkbd-capplet gnome-applets
  gnome-applets-data gnome-bluetooth gnome-contacts gnome-control-center
  gnome-control-center-data gnome-desktop3-data gnome-icon-theme-symbolic
  gnome-media gnome-menus gnome-online-accounts gnome-panel gnome-panel-data
  gnome-power-manager gnome-session gnome-session-bin gnome-session-common
  gnome-session-fallback gnome-settings-daemon gnome-shell gnome-shell-common
  gnome-sushi gnome-system-monitor gstreamer0.10-pulseaudio hwdata
  libaccountsservice0 libasound2-plugins libcamel-1.2-33
  libcanberra-gtk-module libcanberra-gtk0 libcaribou-common libcaribou0
  libcheese-gtk21 libcheese3 libclutter-1.0-0 libclutter-1.0-common
  libclutter-gst-1.0-0 libclutter-gtk-1.0-0 libclutter-imcontext-0.1-0
  libclutter-imcontext-0.1-bin libcluttergesture-0.0.2-0 libcogl-common
  libcogl-pango0 libcogl9 libcpufreq0 libebackend-1.2-2 libebook-1.2-13
  libecal-1.2-11 libedata-book-1.2-13 libedata-cal-1.2-15
  libedataserver-1.2-16 libedataserverui-3.0-1 libexempi3 libfolks-eds25
  libfolks-telepathy25 libfolks25 libgdata-common libgdata13 libgee2 libgjs0b
  libgnome-desktop-3-2 libgnome-media-profiles-3.0-0 libgnome-menu-3-0
  libgnomekbd-common libgnomekbd7 libgtkmm-3.0-1 libgtksourceview-3.0-0
  libgtksourceview-3.0-common libgtop2-7 libgtop2-common libgucharmap-2-90-7
  libgweather-3-0 libgweather-common libmetacity-private0a
  libmission-control-plugins0 libmozjs185-1.0 libmusicbrainz5-0 libmutter0
  libmx-1.0-2 libmx-bin libmx-common liboauth0 libpanel-applet-4-0
  libpulse-mainloop-glib0 libpulsedsp librest-extras-0.7-0
  libsocialweb-client2 libsocialweb-common libsocialweb-service libsocialweb0
  libtelepathy-glib0 libtelepathy-logger2 libwacom-common libwacom2
  libwebrtc-audio-processing-0 libwnck-3-0 libwnck-3-common metacity
  metacity-common mousetweaks mutter-common nautilus nautilus-data pulseaudio
  pulseaudio-module-x11 pulseaudio-utils rtkit telepathy-mission-control-5
  zenity zenity-common
0 upgraded, 149 newly installed, 0 to remove and 0 not upgraded.
Inst libasound2-plugins (1.0.27-2 Debian:unstable [i386])
Inst libcanberra-gtk0 (0.30-2 Debian:unstable [i386])
Inst libgee2 (0.6.8-1 Debian:unstable [i386])
Inst libcaribou-common (0.4.4-1 Debian:unstable [all])
Inst libcaribou0 (0.4.4-1 Debian:unstable [i386])
Inst libcogl9 (1.10.2-7 Debian:unstable [i386])
Inst libcogl-pango0 (1.10.2-7 Debian:unstable [i386])
Inst libclutter-1.0-0 (1.10.8-2 Debian:unstable [i386])
Inst libclutter-gst-1.0-0 (1.5.4-1+sid1 Debian:unstable [i386])
Inst cheese-common (3.4.2-2 Debian:unstable [all])
Inst libcheese3 (3.4.2-2 Debian:unstable [i386])
Inst libclutter-gtk-1.0-0 (1.2.0-2 Debian:unstable [i386])
Inst libmx-common (1.4.6-2 Debian:unstable [all])
Inst libclutter-imcontext-0.1-0 (0.1.4-3 Debian:unstable [i386])
Inst libcluttergesture-0.0.2-0 (0.0.2.1-7 Debian:unstable [i386])
Inst libmx-1.0-2 (1.4.6-2 Debian:unstable [i386])
Inst libcheese-gtk21 (3.4.2-2 Debian:unstable [i386])
Inst libexempi3 (2.2.0-1 Debian:unstable [i386])
Inst libgtkmm-3.0-1 (3.8.1-1 Debian:unstable [i386])
Inst libgtksourceview-3.0-common (3.4.2-1 Debian:unstable [all])
Inst libgtksourceview-3.0-0 (3.4.2-1 Debian:unstable [i386])
Inst libmusicbrainz5-0 (5.0.1-2 Debian:unstable [i386])
Inst liboauth0 (1.0.1-1 Debian:unstable [i386])
Inst libpulse-mainloop-glib0 (4.0-3 Debian:unstable [i386])
Inst libpulsedsp (4.0-3 Debian:unstable [i386])
Inst librest-extras-0.7-0 (0.7.12-3 Debian:unstable [i386])
Inst libsocialweb-common (0.25.20-5 Debian:unstable [all])
Inst libsocialweb-client2 (0.25.20-5 Debian:unstable [i386])
Inst libsocialweb0 (0.25.20-5 Debian:unstable [i386])
Inst libtelepathy-glib0 (0.20.3-1 Debian:unstable [i386])
Inst libtelepathy-logger2 (0.4.0-1 Debian:unstable [i386])
Inst libwacom-common (0.6-1 Debian:unstable [all])
Inst libwacom2 (0.6-1 Debian:unstable [i386])
Inst libwebrtc-audio-processing-0 (0.1-2 Debian:unstable [i386])
Inst libaccountsservice0 (0.6.30-2 Debian:unstable [i386])
Inst accountsservice (0.6.30-2 Debian:unstable [i386])
Inst gnome-menus (3.8.0-2 Debian:unstable [i386])
Inst libgnome-menu-3-0 (3.8.0-2 Debian:unstable [i386])
Inst gir1.2-gmenu-3.0 (3.8.0-2 Debian:unstable [i386])
Inst alacarte (3.7.90-1 Debian:unstable [all])
Inst apg (2.2.3.dfsg.1-2 Debian:unstable [i386])
Inst libcamel-1.2-33 (3.4.4-3 Debian:unstable [i386])
Inst libedataserver-1.2-16 (3.4.4-3 Debian:unstable [i386])
Inst libebackend-1.2-2 (3.4.4-3 Debian:unstable [i386])
Inst libebook-1.2-13 (3.4.4-3 Debian:unstable [i386])
Inst libecal-1.2-11 (3.4.4-3 Debian:unstable [i386])
Inst libedata-book-1.2-13 (3.4.4-3 Debian:unstable [i386])
Inst libedata-cal-1.2-15 (3.4.4-3 Debian:unstable [i386])
Inst libgdata-common (0.13.3-2 Debian:unstable [all])
Inst libgdata13 (0.13.3-2 Debian:unstable [i386])
Inst libgweather-common (3.4.1-1+build1 Debian:unstable [all])
Inst libgweather-3-0 (3.4.1-1+build1 Debian:unstable [i386])
Inst evolution-data-server-common (3.4.4-3 Debian:unstable [all])
Inst evolution-data-server (3.4.4-3 Debian:unstable [i386])
Inst folks-common (0.6.9-1 Debian:unstable [all])
Inst gir1.2-accountsservice-1.0 (0.6.30-2 Debian:unstable [i386])
Inst gir1.2-caribou-1.0 (0.4.4-1 Debian:unstable [i386])
Inst gir1.2-cogl-1.0 (1.10.2-7 Debian:unstable [i386])
Inst gir1.2-coglpango-1.0 (1.10.2-7 Debian:unstable [i386])
Inst gir1.2-json-1.0 (0.14.2-1 Debian:unstable [i386])
Inst gir1.2-clutter-1.0 (1.10.8-2 Debian:unstable [i386])
Inst gir1.2-gstreamer-0.10 (0.10.36-1.2 Debian:unstable [i386])
Inst gir1.2-gst-plugins-base-0.10 (0.10.36-1.1 Debian:unstable [i386])
Inst gir1.2-clutter-gst-1.0 (1.5.4-1+sid1 Debian:unstable [i386])
Inst gir1.2-evince-3.0 (3.4.0-3.1+b1 Debian:unstable [i386])
Inst gir1.2-gee-1.0 (0.6.8-1 Debian:unstable [i386])
Inst gir1.2-folks-0.6 (0.6.9-1+b1 Debian:unstable [i386])
Inst gir1.2-gck-1 (3.8.2-3 Debian:unstable [i386])
Inst gir1.2-gconf-2.0 (3.2.6-1 Debian:unstable [i386])
Inst gir1.2-gcr-3 (3.8.2-3 Debian:unstable [i386])
Inst gir1.2-gdesktopenums-3.0 (3.4.2-3 Debian:unstable [i386])
Inst gir1.2-xkl-1.0 (5.2.1-1 Debian:unstable [i386])
Inst libgnomekbd-common (3.4.0.2-1 Debian:unstable [all])
Inst libgnomekbd7 (3.4.0.2-1 Debian:unstable [i386])
Inst gir1.2-gkbd-3.0 (3.4.0.2-1 Debian:unstable [i386])
Inst gir1.2-gnomebluetooth-1.0 (3.8.1-1 Debian:unstable [i386])
Inst gir1.2-gtkclutter-1.0 (1.2.0-2 Debian:unstable [i386])
Inst gir1.2-gtksource-3.0 (3.4.2-1 Debian:unstable [i386])
Inst mutter-common (3.4.1-7 Debian:unstable [all])
Inst libmutter0 (3.4.1-7 Debian:unstable [i386])
Inst gir1.2-mutter-3.0 (3.4.1-7 Debian:unstable [i386])
Inst gir1.2-networkmanager-1.0 (0.9.8.0-5 Debian:unstable [i386])
Inst libpanel-applet-4-0 (3.4.2.1-5 Debian:unstable [i386])
Inst gir1.2-panelapplet-4.0 (3.4.2.1-5 Debian:unstable [i386])
Inst gir1.2-polkit-1.0 (0.105-3 Debian:unstable [i386])
Inst gir1.2-soup-2.4 (2.42.2-6 Debian:unstable [i386])
Inst gir1.2-telepathyglib-0.12 (0.20.3-1 Debian:unstable [i386])
Inst gir1.2-telepathylogger-0.2 (0.4.0-1 Debian:unstable [i386])
Inst gir1.2-upowerglib-1.0 (0.9.20-2 Debian:unstable [i386])
Inst libmozjs185-1.0 (1.8.5-1.0.0+dfsg-4+b1 Debian:unstable [i386])
Inst libgjs0b (1.32.0-5+b1 Debian:unstable [i386])
Inst gjs (1.32.0-5+b1 Debian:unstable [i386])
Inst gkbd-capplet (3.4.0.2-1 Debian:unstable [i386])
Inst libcpufreq0 (008-1 Debian:unstable [i386])
Inst libgtop2-common (2.28.4-3 Debian:unstable [all])
Inst libgtop2-7 (2.28.4-3 Debian:unstable [i386])
Inst libgucharmap-2-90-7 (1:3.8.2-2 Debian:unstable [i386])
Inst libwnck-3-common (3.4.5-1 Debian:unstable [all])
Inst libwnck-3-0 (3.4.5-1 Debian:unstable [i386])
Inst gnome-applets-data (3.4.1-3 Debian:unstable [all])
Inst libedataserverui-3.0-1 (3.4.4-3 Debian:unstable [i386])
Inst gnome-desktop3-data (3.4.2-2 Debian:unstable [all])
Inst libgnome-desktop-3-2 (3.4.2-2 Debian:unstable [i386])
Inst gnome-icon-theme-symbolic (3.8.2.2-2 Debian:unstable [all])
Inst gnome-panel-data (3.4.2.1-5 Debian:unstable [all])
Inst gnome-panel (3.4.2.1-5 Debian:unstable [i386])
Inst gnome-applets (3.4.1-3 Debian:unstable [i386])
Inst gnome-bluetooth (3.8.1-1 Debian:unstable [i386])
Inst libfolks25 (0.6.9-1+b1 Debian:unstable [i386])
Inst libfolks-eds25 (0.6.9-1+b1 Debian:unstable [i386])
Inst libfolks-telepathy25 (0.6.9-1+b1 Debian:unstable [i386])
Inst gnome-contacts (3.4.1-2 Debian:unstable [i386])
Inst gnome-control-center-data (1:3.4.3.1-5 Debian:unstable [all])
Inst nautilus-data (3.4.2-1+build1 Debian:unstable [all])
Inst gnome-settings-daemon (3.4.2+git20121218.7c1322-6+b1 Debian:unstable [i386])
Inst gnome-control-center (1:3.4.3.1-5 Debian:unstable [i386])
Inst libgnome-media-profiles-3.0-0 (3.0.0-1 Debian:unstable [i386])
Inst gnome-media (3.4.0-1 Debian:unstable [i386])
Inst gnome-online-accounts (3.8.2-1 Debian:unstable [i386])
Inst gnome-power-manager (3.8.2-1 Debian:unstable [i386])
Inst gnome-shell-common (3.4.2-9 Debian:unstable [all])
Inst libmission-control-plugins0 (1:5.14.1-2 Debian:unstable [i386])
Inst telepathy-mission-control-5 (1:5.14.1-2 Debian:unstable [i386])
Inst gnome-shell (3.4.2-9 Debian:unstable [i386])
Inst gnome-session-bin (3.4.2.1-4 Debian:unstable [i386])
Inst gnome-session-common (3.4.2.1-4 Debian:unstable [all])
Inst gnome-session (3.4.2.1-4 Debian:unstable [all])
Inst metacity-common (1:2.34.13-1 Debian:unstable [all])
Inst libmetacity-private0a (1:2.34.13-1 Debian:unstable [i386])
Inst zenity-common (3.8.0-1 Debian:unstable [all])
Inst zenity (3.8.0-1 Debian:unstable [i386])
Inst metacity (1:2.34.13-1 Debian:unstable [i386])
Inst gnome-session-fallback (3.4.2.1-4 Debian:unstable [all])
Inst gnome-system-monitor (3.8.2.1-2 Debian:unstable [i386])
Inst gstreamer0.10-pulseaudio (0.10.31-3+nmu1 Debian:unstable [i386])
Inst hwdata (0.234-1 Debian:unstable [all])
Inst libcanberra-gtk-module (0.30-2 Debian:unstable [i386])
Inst libclutter-1.0-common (1.10.8-2 Debian:unstable [all])
Inst libclutter-imcontext-0.1-bin (0.1.4-3 Debian:unstable [i386])
Inst libcogl-common (1.10.2-7 Debian:unstable [all])
Inst libmx-bin (1.4.6-2 Debian:unstable [i386])
Inst libsocialweb-service (0.25.20-5 Debian:unstable [i386])
Inst mousetweaks (3.8.0-1 Debian:unstable [i386])
Inst nautilus (3.4.2-1+build1 Debian:unstable [i386])
Inst pulseaudio (4.0-3 Debian:unstable [i386])
Inst pulseaudio-utils (4.0-3 Debian:unstable [i386])
Inst pulseaudio-module-x11 (4.0-3 Debian:unstable [i386])
Inst rtkit (0.10-2 Debian:unstable [i386])
Inst gnome-sushi (0.4.1-4 Debian:unstable [i386])
Conf libasound2-plugins (1.0.27-2 Debian:unstable [i386])
Conf libcanberra-gtk0 (0.30-2 Debian:unstable [i386])
Conf libgee2 (0.6.8-1 Debian:unstable [i386])
Conf libcaribou-common (0.4.4-1 Debian:unstable [all])
Conf libcaribou0 (0.4.4-1 Debian:unstable [i386])
Conf libcogl9 (1.10.2-7 Debian:unstable [i386])
Conf libcogl-pango0 (1.10.2-7 Debian:unstable [i386])
Conf libclutter-1.0-0 (1.10.8-2 Debian:unstable [i386])
Conf libclutter-gst-1.0-0 (1.5.4-1+sid1 Debian:unstable [i386])
Conf cheese-common (3.4.2-2 Debian:unstable [all])
Conf libcheese3 (3.4.2-2 Debian:unstable [i386])
Conf libclutter-gtk-1.0-0 (1.2.0-2 Debian:unstable [i386])
Conf libmx-common (1.4.6-2 Debian:unstable [all])
Conf libclutter-imcontext-0.1-0 (0.1.4-3 Debian:unstable [i386])
Conf libcluttergesture-0.0.2-0 (0.0.2.1-7 Debian:unstable [i386])
Conf libmx-1.0-2 (1.4.6-2 Debian:unstable [i386])
Conf libcheese-gtk21 (3.4.2-2 Debian:unstable [i386])
Conf libexempi3 (2.2.0-1 Debian:unstable [i386])
Conf libgtkmm-3.0-1 (3.8.1-1 Debian:unstable [i386])
Conf libgtksourceview-3.0-common (3.4.2-1 Debian:unstable [all])
Conf libgtksourceview-3.0-0 (3.4.2-1 Debian:unstable [i386])
Conf libmusicbrainz5-0 (5.0.1-2 Debian:unstable [i386])
Conf liboauth0 (1.0.1-1 Debian:unstable [i386])
Conf libpulse-mainloop-glib0 (4.0-3 Debian:unstable [i386])
Conf libpulsedsp (4.0-3 Debian:unstable [i386])
Conf librest-extras-0.7-0 (0.7.12-3 Debian:unstable [i386])
Conf libsocialweb-common (0.25.20-5 Debian:unstable [all])
Conf libsocialweb-client2 (0.25.20-5 Debian:unstable [i386])
Conf libsocialweb0 (0.25.20-5 Debian:unstable [i386])
Conf libtelepathy-glib0 (0.20.3-1 Debian:unstable [i386])
Conf libtelepathy-logger2 (0.4.0-1 Debian:unstable [i386])
Conf libwacom-common (0.6-1 Debian:unstable [all])
Conf libwacom2 (0.6-1 Debian:unstable [i386])
Conf libwebrtc-audio-processing-0 (0.1-2 Debian:unstable [i386])
Conf libaccountsservice0 (0.6.30-2 Debian:unstable [i386])
Conf accountsservice (0.6.30-2 Debian:unstable [i386])
Conf gnome-menus (3.8.0-2 Debian:unstable [i386])
Conf libgnome-menu-3-0 (3.8.0-2 Debian:unstable [i386])
Conf gir1.2-gmenu-3.0 (3.8.0-2 Debian:unstable [i386])
Conf alacarte (3.7.90-1 Debian:unstable [all])
Conf apg (2.2.3.dfsg.1-2 Debian:unstable [i386])
Conf libcamel-1.2-33 (3.4.4-3 Debian:unstable [i386])
Conf libedataserver-1.2-16 (3.4.4-3 Debian:unstable [i386])
Conf libebackend-1.2-2 (3.4.4-3 Debian:unstable [i386])
Conf libebook-1.2-13 (3.4.4-3 Debian:unstable [i386])
Conf libecal-1.2-11 (3.4.4-3 Debian:unstable [i386])
Conf libedata-book-1.2-13 (3.4.4-3 Debian:unstable [i386])
Conf libedata-cal-1.2-15 (3.4.4-3 Debian:unstable [i386])
Conf libgdata-common (0.13.3-2 Debian:unstable [all])
Conf libgdata13 (0.13.3-2 Debian:unstable [i386])
Conf libgweather-common (3.4.1-1+build1 Debian:unstable [all])
Conf libgweather-3-0 (3.4.1-1+build1 Debian:unstable [i386])
Conf evolution-data-server-common (3.4.4-3 Debian:unstable [all])
Conf evolution-data-server (3.4.4-3 Debian:unstable [i386])
Conf folks-common (0.6.9-1 Debian:unstable [all])
Conf gir1.2-accountsservice-1.0 (0.6.30-2 Debian:unstable [i386])
Conf gir1.2-caribou-1.0 (0.4.4-1 Debian:unstable [i386])
Conf gir1.2-cogl-1.0 (1.10.2-7 Debian:unstable [i386])
Conf gir1.2-coglpango-1.0 (1.10.2-7 Debian:unstable [i386])
Conf gir1.2-json-1.0 (0.14.2-1 Debian:unstable [i386])
Conf gir1.2-clutter-1.0 (1.10.8-2 Debian:unstable [i386])
Conf gir1.2-gstreamer-0.10 (0.10.36-1.2 Debian:unstable [i386])
Conf gir1.2-gst-plugins-base-0.10 (0.10.36-1.1 Debian:unstable [i386])
Conf gir1.2-clutter-gst-1.0 (1.5.4-1+sid1 Debian:unstable [i386])
Conf gir1.2-evince-3.0 (3.4.0-3.1+b1 Debian:unstable [i386])
Conf gir1.2-gee-1.0 (0.6.8-1 Debian:unstable [i386])
Conf gir1.2-folks-0.6 (0.6.9-1+b1 Debian:unstable [i386])
Conf gir1.2-gck-1 (3.8.2-3 Debian:unstable [i386])
Conf gir1.2-gconf-2.0 (3.2.6-1 Debian:unstable [i386])
Conf gir1.2-gcr-3 (3.8.2-3 Debian:unstable [i386])
Conf gir1.2-gdesktopenums-3.0 (3.4.2-3 Debian:unstable [i386])
Conf gir1.2-xkl-1.0 (5.2.1-1 Debian:unstable [i386])
Conf libgnomekbd-common (3.4.0.2-1 Debian:unstable [all])
Conf libgnomekbd7 (3.4.0.2-1 Debian:unstable [i386])
Conf gir1.2-gkbd-3.0 (3.4.0.2-1 Debian:unstable [i386])
Conf gir1.2-gnomebluetooth-1.0 (3.8.1-1 Debian:unstable [i386])
Conf gir1.2-gtkclutter-1.0 (1.2.0-2 Debian:unstable [i386])
Conf gir1.2-gtksource-3.0 (3.4.2-1 Debian:unstable [i386])
Conf mutter-common (3.4.1-7 Debian:unstable [all])
Conf libmutter0 (3.4.1-7 Debian:unstable [i386])
Conf gir1.2-mutter-3.0 (3.4.1-7 Debian:unstable [i386])
Conf gir1.2-networkmanager-1.0 (0.9.8.0-5 Debian:unstable [i386])
Conf libpanel-applet-4-0 (3.4.2.1-5 Debian:unstable [i386])
Conf gir1.2-panelapplet-4.0 (3.4.2.1-5 Debian:unstable [i386])
Conf gir1.2-polkit-1.0 (0.105-3 Debian:unstable [i386])
Conf gir1.2-soup-2.4 (2.42.2-6 Debian:unstable [i386])
Conf gir1.2-telepathyglib-0.12 (0.20.3-1 Debian:unstable [i386])
Conf gir1.2-telepathylogger-0.2 (0.4.0-1 Debian:unstable [i386])
Conf gir1.2-upowerglib-1.0 (0.9.20-2 Debian:unstable [i386])
Conf libmozjs185-1.0 (1.8.5-1.0.0+dfsg-4+b1 Debian:unstable [i386])
Conf libgjs0b (1.32.0-5+b1 Debian:unstable [i386])
Conf gjs (1.32.0-5+b1 Debian:unstable [i386])
Conf gkbd-capplet (3.4.0.2-1 Debian:unstable [i386])
Conf libcpufreq0 (008-1 Debian:unstable [i386])
Conf libgtop2-common (2.28.4-3 Debian:unstable [all])
Conf libgtop2-7 (2.28.4-3 Debian:unstable [i386])
Conf libgucharmap-2-90-7 (1:3.8.2-2 Debian:unstable [i386])
Conf libwnck-3-common (3.4.5-1 Debian:unstable [all])
Conf libwnck-3-0 (3.4.5-1 Debian:unstable [i386])
Conf gnome-applets-data (3.4.1-3 Debian:unstable [all])
Conf libedataserverui-3.0-1 (3.4.4-3 Debian:unstable [i386])
Conf gnome-desktop3-data (3.4.2-2 Debian:unstable [all])
Conf libgnome-desktop-3-2 (3.4.2-2 Debian:unstable [i386])
Conf gnome-icon-theme-symbolic (3.8.2.2-2 Debian:unstable [all])
Conf gnome-panel-data (3.4.2.1-5 Debian:unstable [all])
Conf gnome-panel (3.4.2.1-5 Debian:unstable [i386])
Conf gnome-applets (3.4.1-3 Debian:unstable [i386])
Conf gnome-bluetooth (3.8.1-1 Debian:unstable [i386])
Conf libfolks25 (0.6.9-1+b1 Debian:unstable [i386])
Conf libfolks-eds25 (0.6.9-1+b1 Debian:unstable [i386])
Conf libfolks-telepathy25 (0.6.9-1+b1 Debian:unstable [i386])
Conf gnome-contacts (3.4.1-2 Debian:unstable [i386])
Conf gnome-control-center-data (1:3.4.3.1-5 Debian:unstable [all])
Conf nautilus-data (3.4.2-1+build1 Debian:unstable [all])
Conf gnome-settings-daemon (3.4.2+git20121218.7c1322-6+b1 Debian:unstable [i386])
Conf gnome-control-center (1:3.4.3.1-5 Debian:unstable [i386])
Conf libgnome-media-profiles-3.0-0 (3.0.0-1 Debian:unstable [i386])
Conf gnome-media (3.4.0-1 Debian:unstable [i386])
Conf gnome-online-accounts (3.8.2-1 Debian:unstable [i386])
Conf gnome-power-manager (3.8.2-1 Debian:unstable [i386])
Conf gnome-shell-common (3.4.2-9 Debian:unstable [all])
Conf libmission-control-plugins0 (1:5.14.1-2 Debian:unstable [i386])
Conf telepathy-mission-control-5 (1:5.14.1-2 Debian:unstable [i386])
Conf gnome-shell (3.4.2-9 Debian:unstable [i386])
Conf gnome-session-bin (3.4.2.1-4 Debian:unstable [i386])
Conf gnome-session-common (3.4.2.1-4 Debian:unstable [all])
Conf gnome-session (3.4.2.1-4 Debian:unstable [all])
Conf metacity-common (1:2.34.13-1 Debian:unstable [all])
Conf libmetacity-private0a (1:2.34.13-1 Debian:unstable [i386])
Conf zenity-common (3.8.0-1 Debian:unstable [all])
Conf zenity (3.8.0-1 Debian:unstable [i386])
Conf metacity (1:2.34.13-1 Debian:unstable [i386])
Conf gnome-session-fallback (3.4.2.1-4 Debian:unstable [all])
Conf gnome-system-monitor (3.8.2.1-2 Debian:unstable [i386])
Conf gstreamer0.10-pulseaudio (0.10.31-3+nmu1 Debian:unstable [i386])
Conf hwdata (0.234-1 Debian:unstable [all])
Conf libcanberra-gtk-module (0.30-2 Debian:unstable [i386])
Conf libclutter-1.0-common (1.10.8-2 Debian:unstable [all])
Conf libclutter-imcontext-0.1-bin (0.1.4-3 Debian:unstable [i386])
Conf libcogl-common (1.10.2-7 Debian:unstable [all])
Conf libmx-bin (1.4.6-2 Debian:unstable [i386])
Conf libsocialweb-service (0.25.20-5 Debian:unstable [i386])
Conf mousetweaks (3.8.0-1 Debian:unstable [i386])
Conf nautilus (3.4.2-1+build1 Debian:unstable [i386])
Conf pulseaudio (4.0-3 Debian:unstable [i386])
Conf pulseaudio-utils (4.0-3 Debian:unstable [i386])
Conf pulseaudio-module-x11 (4.0-3 Debian:unstable [i386])
Conf rtkit (0.10-2 Debian:unstable [i386])
Conf gnome-sushi (0.4.1-4 Debian:unstable [i386])
root@debian:/home/wayne# 

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Tue Jun 25, 2013 9:13 pm

autocrosser wrote:Thanks for the info...I looked at the bug & was more than a bit put off from installing it.......

I did not check it.. :mrgreen:


so after d-u, I check and see this

Code: Select all

root@debian:/home/wayne# cat /var/log/dpkg.log | grep 'binutils'
2013-06-25 23:18:05 upgrade binutils:i386 2.22-8 2.23.52.20130620-1
2013-06-25 23:18:05 status half-configured binutils:i386 2.22-8
2013-06-25 23:18:05 status unpacked binutils:i386 2.22-8
2013-06-25 23:18:05 status half-installed binutils:i386 2.22-8
2013-06-25 23:18:06 status half-installed binutils:i386 2.22-8
2013-06-25 23:18:06 status unpacked binutils:i386 2.23.52.20130620-1
2013-06-25 23:18:06 status unpacked binutils:i386 2.23.52.20130620-1
2013-06-25 23:23:58 configure binutils:i386 2.23.52.20130620-1 <none>
2013-06-25 23:23:58 status unpacked binutils:i386 2.23.52.20130620-1
2013-06-25 23:23:58 status half-configured binutils:i386 2.23.52.20130620-1
2013-06-25 23:23:58 status installed binutils:i386 2.23.52.20130620-1

Not sure what it will do :mrgreen:
Anyway I am running the system daily... hopefully no harm.

User avatar
gcp
Level 1
Level 1
Posts: 27
Joined: Sat Jul 02, 2011 6:24 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by gcp » Thu Jul 04, 2013 3:41 pm

Patch for Nvidia and Kernel 3.11

If you compile the Kernel yourself
https://git.kernel.org/cgit/linux/kerne ... linux.git/
and want to use Nvidia proprietary drivers with the upcoming Kernel 3.11,
you need an additional patch.

See:
mm: use totalram_pages instead of num_physpages at runtime
https://git.kernel.org/cgit/linux/kerne ... 49de70ad89

mm: kill global variable num_physpages
https://git.kernel.org/cgit/linux/kerne ... d793f57ba5

"Now all references to num_physpages have been removed, so kill it."
... but Nvidia.


Open /var/lib/dkms/nvidia/325.08/source/patches/linux-3.10.patch
and add this to the start of the patch:


--- a/nv-linux.h 2013-07-04 17:30:49.773211000 +0200
+++ b/nv-linux.h 2013-07-04 19:24:29.524124509 +0200
@@ -959,7 +959,7 @@
#endif

#if !defined(NV_VMWARE)
-#define NV_NUM_PHYSPAGES num_physpages
+#define NV_NUM_PHYSPAGES totalram_pages
#define NV_GET_CURRENT_PROCESS() current->tgid
#define NV_IN_ATOMIC() in_atomic()
#define NV_LOCAL_BH_DISABLE() local_bh_disable()


This works for me.
If you want to install or upgrade Kernel 3.10, you must switch the patches manually. Of course.

I use Nvidia 325.08 from Siduction experimental
with included linux-3.10.patch file.
<login2 debianSID><sudo apt-get dist-upgrade><DONTTHINK><ENTER><WHOCARES><ENTER><OOHHNOO!><HAVENOBACKUP,IM-A-MAN><reinstalling,Windowslike...>

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Tue Jul 30, 2013 1:14 am

The last d-u, with kernel 3.10-1 semi-broke my fglrx..
The OS still works, but fglrx did not work.
I read from elsewhere , similar breakage, so I reverse to last working condition and waited.
I lost the ability to use keyboard's volume wheel too..


Today I saw there is a new kernel 3.10.3-1 in the repos. so I want to see if fglrx is back to working with the new kernel.
d-u. went well, reboot and see that fglrx is back to working conditions
and the keyboard's volume is working :mrgreen:
3d seems faster than the last working conditions kernel 3.9 and kernel 3.8-1

Code: Select all

Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


root@debian:/home/wayne# uname -a
Linux debian 3.10-1-686-pae #1 SMP Debian 3.10.3-1 (2013-07-27) i686 GNU/Linux

root@debian:/home/wayne# inxi -s
Sensors:   System Temperatures: cpu: 39.0C mobo: N/A gpu: 52.50C 
           Fan Speeds (in rpm): cpu: N/A 

Default Adapter - ATI Radeon HD 5450     
                  Sensor 0: Temperature - 52.00 C

root@debian:/home/wayne# fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 5450     
OpenGL version string: 4.2.12217 Compatibility Profile Context 8.982.13

root@debian:/home/wayne# fgl_glxgears
Using GLX_SGIX_pbuffer
5361 frames in 5.0 seconds = 1072.200 FPS
8774 frames in 5.0 seconds = 1754.800 FPS
8504 frames in 5.0 seconds = 1700.800 FPS
8654 frames in 5.0 seconds = 1730.800 FPS
9108 frames in 5.0 seconds = 1821.600 FPS

autocrosser
Level 4
Level 4
Posts: 436
Joined: Tue Dec 28, 2010 5:00 pm
Location: Eagle Point, Oregon

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by autocrosser » Thu Aug 01, 2013 9:08 pm

Well--Nvidia at last works with 3.10 also....at least in Experimental..... version is 319.32. We'll see if it stays that way.
"Let's nobody be dead today----Looks very bad on my report" One of my favorite lines from AVATAR :)
Linux User# 395230

Brian49
Level 5
Level 5
Posts: 611
Joined: Thu Oct 29, 2009 2:27 pm

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by Brian49 » Tue Aug 27, 2013 4:41 am

The updates to perl and related packages which have just come through (from 5.14.2-21 to 5.18.1-2) call for the removal of various other packages, some of which look as though their removal would certainly break my system.

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Tue Aug 27, 2013 4:48 am

Brian49 wrote:The updates to perl and related packages which have just come through (from 5.14.2-21 to 5.18.1-2) call for the removal of various other packages, some of which look as though their removal would certainly break my system.

Thanks Brian49 for the alert.

I

Code: Select all

 try du to see, and

apt-cache policy perl
perl:
  Installed: 5.14.2-21
  Candidate: 5.18.1-2
  Version table:
     5.18.1-2 0
        500 http://ftp.jp.debian.org/debian/ sid/main i386 Packages
 *** 5.14.2-21 0
        100 /var/lib/dpkg/status

14 upgraded, 5 newly installed, 135 to remove and 0 not upgraded.

Time to just wait and watch :mrgreen:

Code: Select all

Calculating upgrade... Done
The following packages will be REMOVED:
  aspell aspell-en console-setup console-setup-linux debconf-i18n
  dictionaries-common enchant gimp gnome-user-guide gvfs-backends hpijs hplip
  hunspell-en-us hyphen-en-us iamerican ibritish ienglish-common ispell
  keyboard-configuration libapt-pkg-perl libautodie-perl libcairo-perl
  libclass-accessor-perl libclone-perl libemail-valid-perl libenchant1c2a
  libfile-fcntllock-perl libglib-perl libgoa-1.0-0 libgtk2-perl libhpmud0
  libhtml-form-perl libhtml-format-perl libhtml-parser-perl libhtml-tree-perl
  libio-pty-perl libio-socket-inet6-perl libio-socket-ssl-perl libipc-run-perl
  liblist-moreutils-perl liblocale-gettext-perl liblwp-protocol-https-perl
  libmailtools-perl libnet-dbus-perl libnet-dns-perl libnet-smtp-ssl-perl
  libnet-ssleay-perl libpango-perl libparse-debianchangelog-perl libperl5.14
  libperlio-gzip-perl libsane-hpaio libsnmp30 libsocket-perl libsocket6-perl
  libsub-identify-perl libsub-name-perl libtext-charwidth-perl
  libtext-iconv-perl libtext-wrapi18n-perl libuuid-perl libwebkitgtk-1.0-0
  libwebkitgtk-3.0-0 libwww-perl libxml-libxml-perl libxml-parser-perl
  libxml-sax-expat-perl libxml-simple-perl libxml-twig-perl libyelp0 lintian
  linux-base linux-image-3.10-2-486 linux-image-3.10-2-686-pae
  linux-image-3.2.0-4-486 linux-image-3.2.0-4-686-pae linux-image-486
  linux-image-686-pae mythes-en-us printer-driver-hpcups printer-driver-hpijs
  printer-driver-postscript-hp task-desktop task-english task-laptop
  task-print-server task-ssh-server task-xfce-desktop tasksel tasksel-data
  texinfo virtualbox-guest-x11 xorg xscreensaver xscreensaver-data
  xserver-xorg xserver-xorg-core xserver-xorg-input-all
  xserver-xorg-input-evdev xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse
  xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-apm
  xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips
  xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-geode
  xserver-xorg-video-i128 xserver-xorg-video-i740 xserver-xorg-video-intel
  xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon
  xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware
  xserver-xorg-video-voodoo yelp
The following NEW packages will be installed:
  libarchive-extract-perl libmodule-pluggable-perl libperl4-corelibs-perl
  libpod-latex-perl libterm-ui-perl
The following packages will be upgraded:
  debconf grub-common grub-pc grub-pc-bin grub2-common
  libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 liblzo2-2 liborc-0.4-0
  libwebkitgtk-1.0-common libwebkitgtk-3.0-common perl perl-base perl-modules
14 upgraded, 5 newly installed, 135 to remove and 0 not upgraded.
Need to get 14.6 MB of archives.
After this operation, 529 MB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.
root@debian:/home/wayne# 

Spec-chum
Level 1
Level 1
Posts: 48
Joined: Tue May 31, 2011 3:22 pm

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by Spec-chum » Tue Aug 27, 2013 5:11 am

I can't even get to the Perl being installed bit haha:

Code: Select all

russ@debninja:~$ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Failed
The following packages have unmet dependencies:
 gnome-session-fallback : Depends: metacity (>= 2.30) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
russ@debninja:~$ apt-cache policy metacity
metacity:
  Installed: 1:2.34.13-1
  Candidate: 1:2.34.13-1
  Version table:
 *** 1:2.34.13-1 0
        500 http://ftp.uk.debian.org/debian/ sid/main amd64 Packages
        100 /var/lib/dpkg/status
Quite odd that, as last time I check 2.34 > 2.30 :D

Time to be patient methinks...

GregE
Level 4
Level 4
Posts: 472
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by GregE » Tue Aug 27, 2013 8:44 pm

@Spec-chum

It is the update to Perl that is causing issues. I just manually installed the other updates. You are correct it is time to be patient.

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Thu Aug 29, 2013 10:43 pm

closer...
but it seems, not yet..

Code: Select all

Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  hpijs hplip libcairo-perl libemail-valid-perl libfile-fcntllock-perl
  libgtk2-perl libhpmud0 libnet-dbus-perl libnet-dns-perl libpango-perl
  libperl5.14 libsane-hpaio libsnmp30 libsocket-perl lintian
  printer-driver-hpcups printer-driver-hpijs printer-driver-postscript-hp
  xchat
The following NEW packages will be installed:
  libarchive-extract-perl libmodule-pluggable-perl libperl4-corelibs-perl
  libpod-latex-perl libterm-ui-perl libx264-133
The following packages have been kept back:
  xserver-xorg-core
The following packages will be upgraded:
  base-passwd bind9-host binutils debconf debconf-i18n dmsetup dnsutils
  evince-common evince-gtk fonts-liberation gnome-icon-theme grub-common
  grub-pc grub-pc-bin grub2-common gstreamer0.10-plugins-ugly
  gstreamer1.0-plugins-ugly host libapt-pkg-perl libaudio2 libav-tools
  libavcodec54 libavdevice53 libavfilter3 libavformat54 libavresample1
  libavutil52 libbind9-90 libc-bin libc-dev-bin libc6 libc6-dev libc6-i686
  libclone-perl libdevmapper-event1.02.1 libdevmapper1.02.1 libdns99 libedit2
  libevdocument3-4 libevview3-3 libgegl-0.2-0 libglib-perl
  libgtksourceview2.0-0 libgtksourceview2.0-common libhtml-parser-perl
  libio-pty-perl libisc95 libisccc90 libisccfg90 libjavascriptcoregtk-1.0-0
  libjavascriptcoregtk-3.0-0 libjson-c2 liblist-moreutils-perl
  liblocale-gettext-perl liblvm2app2.2 liblwres90 liblzo2-2 libmagickcore5
  libmagickwand5 libnet-ssleay-perl liborc-0.4-0 libperlio-gzip-perl
  libsensors4 libsocket6-perl libsub-identify-perl libsub-name-perl
  libswscale2 libsystemd-login0 libtext-charwidth-perl libtext-iconv-perl
  libupower-glib1 libuuid-perl libvisio-0.0-0 libvlc5 libvlccore5
  libvo-aacenc0 libvo-amrwbenc0 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common
  libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libwpd-0.9-9 libxml-libxml-perl
  libxml-parser-perl libzbar0 lm-sensors multiarch-support perl perl-base
  perl-modules python-numpy upower vim-common vim-tiny virtualbox-guest-dkms
  virtualbox-guest-utils virtualbox-guest-x11 vlc vlc-nox vlc-plugin-notify
  vlc-plugin-pulse xserver-xorg-video-intel
102 upgraded, 6 newly installed, [color=#FF0000]19 to remove [/color]and 1 not upgraded.
Need to get 81.9 MB of archives.
After this operation, 15.6 MB disk space will be freed.
Do you want to continue? [Y/n] 


EDIT, check it again after a few hours. change here
from older one:
102 upgraded, 6 newly installed, 19 to remove and 1 not upgraded.
to current one:
111 upgraded, 8 newly installed, 2 to remove and 1 not upgraded.
getting closer..

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  libgtk2-perl libperl5.14
The following NEW packages will be installed:
  libarchive-extract-perl libmodule-pluggable-perl libperl4-corelibs-perl
  libperl5.18 libpod-latex-perl libterm-ui-perl libtext-soundex-perl
  libx264-133
The following packages have been kept back:
  xserver-xorg-core
The following packages will be upgraded:
  base-passwd bind9-host debconf debconf-i18n dmsetup dnsutils evince-common
  evince-gtk exim4-base exim4-daemon-light fonts-liberation gnome-icon-theme
  grub-common grub-pc grub-pc-bin grub2-common gstreamer0.10-plugins-ugly
  gstreamer1.0-plugins-ugly host libapt-pkg-perl libaudio2 libav-tools
  libavcodec54 libavdevice53 libavfilter3 libavformat54 libavresample1
  libavutil52 libbind9-90 libc-bin libc-dev-bin libc6 libc6-dev libc6-i686
  libcairo-perl libclone-perl libdevmapper-event1.02.1 libdevmapper1.02.1
  libdns99 libedit2 libevdocument3-4 libevview3-3 libfile-fcntllock-perl
  libgegl-0.2-0 libglib-perl libgtksourceview2.0-0 libgtksourceview2.0-common
  libhtml-parser-perl libio-pty-perl libisc95 libisccc90 libisccfg90
  libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libjson-c2
  liblist-moreutils-perl liblocale-gettext-perl liblvm2app2.2 liblwres90
  liblzo2-2 libmagickcore5 libmagickwand5 libnet-dbus-perl libnet-dns-perl
  libnet-ssleay-perl liborc-0.4-0 libpango-perl libperlio-gzip-perl
  libsensors4 libsnmp30 libsocket-perl libsocket6-perl libsub-identify-perl
  libsub-name-perl libswscale2 libsystemd-login0 libtext-charwidth-perl
  libtext-iconv-perl libupower-glib1 libuuid-perl libvisio-0.0-0 libvlc5
  libvlccore5 libvo-aacenc0 libvo-amrwbenc0 libwebkitgtk-1.0-0
  libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common
  libwpd-0.9-9 libxml-libxml-perl libxml-parser-perl libzbar0 lm-sensors
  multiarch-support perl perl-base perl-modules python-numpy upower vim-common
  vim-tiny virtualbox-guest-dkms virtualbox-guest-utils virtualbox-guest-x11
  vlc vlc-nox vlc-plugin-notify vlc-plugin-pulse xchat
  xserver-xorg-video-intel
111 upgraded, 8 newly installed, 2 to remove and 1 not upgraded.
1 not fully installed or removed.
Need to get 84.1 MB of archives.
After this operation, 2,885 kB of additional disk space will be used.
Do you want to continue? [Y/n] 

User avatar
karashata
Level 4
Level 4
Posts: 439
Joined: Tue May 10, 2011 2:53 pm
Location: Stratford, Ontario, Canada
Contact:

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by karashata » Fri Aug 30, 2013 8:30 pm

I'm just about ready to install these Perl updates, only three removals (libperl5.14 (for obvious reasons), libsvn-perl (not updated for new Perl yet) and svn-buildpackage (depends on libsvn-perl)). There is one thing giving me reason to pause, though, and that's [url=http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721364]this bug[/url].

Reading through the bug report seems to suggest I'll be fine, as I do not have this package installed, as none of my installed applications depend on it, so I'm going to give it a shot and see how things go.

EDIT: Installation went through without any hitches, everything appears to be running correctly.
Linux Mint user since 2010, fluffy dragon forever!
Registered Linux User #473695
Image

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Fri Aug 30, 2013 10:24 pm

karashata wrote: [url=http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721364]this bug[/url].


EDIT: Installation went through without any hitches, everything appears to be running correctly.

@karashata, thanks for your post

Code: Select all

Subject: perl: Missing Pre-Depends/Breaks/Conflicts wrt. libscalar-list-utils-perl and the Perl 5.18 transition
Date: Fri, 30 Aug 2013 20:28:00 +0200 (CEST)
check mine:

Code: Select all

wayne@debian:~$ apt-cache policy libscalar-list-utils-perl
libscalar-list-utils-perl:
  Installed: (none)
  Candidate: 1:1.27-1+b1
same as yours, that package was not installed so I am going to go ahead.

Code: Select all

Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  libperl5.14
The following NEW packages will be installed:
  libarchive-extract-perl libmodule-pluggable-perl libperl4-corelibs-perl
  libperl5.18 libpod-latex-perl libterm-ui-perl libtext-soundex-perl
  libx264-133
The following packages have been kept back:
  xserver-xorg-core
The following packages will be upgraded:
  base-passwd bind9-host binutils debconf debconf-i18n dmsetup dnsutils
  exim4-base exim4-daemon-light fonts-liberation gnome-icon-theme grub-common
  grub-pc grub-pc-bin grub2-common gstreamer0.10-plugins-ugly
  gstreamer1.0-plugins-base gstreamer1.0-plugins-good
  gstreamer1.0-plugins-ugly gstreamer1.0-x host libapt-pkg-perl libaudio2
  libav-tools libavcodec54 libavdevice53 libavfilter3 libavformat54
  libavresample1 libavutil52 libbind9-90 libc-bin libc-dev-bin libc6 libc6-dev
  libc6-i686 libcairo-perl libchromaprint0 libclone-perl
  libdevmapper-event1.02.1 libdevmapper1.02.1 libdns99 libedit2
  libfile-fcntllock-perl libgegl-0.2-0 libglib-perl
  libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libgtk2-perl
  libgtksourceview2.0-0 libgtksourceview2.0-common libhtml-parser-perl
  libio-pty-perl libisc95 libisccc90 libisccfg90 libjavascriptcoregtk-1.0-0
  libjavascriptcoregtk-3.0-0 libjson-c2 libldap-2.4-2 liblist-moreutils-perl
  liblocale-gettext-perl liblvm2app2.2 liblwres90 liblzo2-2 libmagickcore5
  libmagickwand5 libmhash2 libnet-dbus-perl libnet-dns-perl libnet-ssleay-perl
  liborbit2 liborc-0.4-0 libpango-perl libperlio-gzip-perl libsensors4
  libsnmp30 libsocket-perl libsocket6-perl libsqlite3-0 libsub-identify-perl
  libsub-name-perl libswscale2 libsystemd-login0 libtext-charwidth-perl
  libtext-iconv-perl libudisks2-0 libupower-glib1 libuuid-perl libvisio-0.0-0
  libvlc5 libvlccore5 libvo-aacenc0 libvo-amrwbenc0 libwebkitgtk-1.0-0
  libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common
  libwpd-0.9-9 libxml-libxml-perl libxml-parser-perl libzbar0
  linux-kbuild-3.10 lm-sensors multiarch-support perl perl-base perl-modules
  python-numpy udisks2 upower vim-common vim-tiny virtualbox-guest-dkms
  virtualbox-guest-utils virtualbox-guest-x11 vlc vlc-nox vlc-plugin-notify
  vlc-plugin-pulse xchat xserver-xorg-video-intel
122 upgraded, 8 newly installed, 1 to remove and 1 not upgraded.
Need to get 27.9 kB/88.4 MB of archives.
After this operation, 5,115 kB of additional disk space will be used.
Do you want to continue? [Y/n] y

xxxxxx

Retrieving bug reports... Done
Parsing Found/Fixed information... Done
serious bugs of perl (5.14.2-21 -> 5.18.1-2) <unfixed>
 #721364 - perl: Missing Pre-Depends/Breaks/Conflicts wrt. libscalar-list-utils-perl and the Perl 5.18 transition
Summary:
 perl(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...] y



EDIT
reboot, test , all seems OK :)
xserver-xorg-core held back by debian maintainer

Code: Select all

Calculating upgrade... Done
The following packages have been kept back:
  xserver-xorg-core
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
root@debian:/home/wayne# 

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Mon Sep 16, 2013 6:06 am

try du

bug reports :
Fetched 9,952 kB in 10s (915 kB/s)
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
critical bugs of udev (175-7.2 -> 204-3) <unfixed>
#722580 - udev no longer creates device nodes, relies on DEVTMPFS
#722604 - udev: system won't mount partitions at boot, nor create network interfaces

grave bugs of dh-python (1.20130903-1 -> 1.20130913-1) <unfixed>
#723070 - dh-python: Incorrect python3:Depends generated
Summary:
dh-python(1 bug), udev(2 bugs)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...] n
Not sure the impact, and I usually play media file over network shared drive.
Just hold on to see how others are doing on these bugs.

GregE
Level 4
Level 4
Posts: 472
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by GregE » Mon Sep 16, 2013 9:39 pm

wayne128 wrote: Not sure the impact, and I usually play media file over network shared drive.
Just hold on to see how others are doing on these bugs.
Wayne,

I have done the update with no consequences so far. If I leave a USB drive plugged in it auto mounts on boot up. I can browse my SAMBA network and play back video from a remote machine. I can copy files to and from my NAS. I do not mount network drives via fstab so I cannot vouch for that function.

The only odd thing is the Gnome Network applet says my ethernet is unmanaged and it has a little X on the icon. The ethernet connection is working perfectly. That bug has been intermittently going on for years.

My system is currently a Debian Sid 32 bit install with Gnome Shell 3.8 from Experimental. I accidentally trashed my setup a few months back and in my hurry to re-install I installed 32bit instead of 64bit + multiarch by mistake. For now it is rock solid and I will not go back to 64bit until I manage to trash it again.

Greg

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Tue Sep 17, 2013 1:12 am

Hi Greg,
thanks for sharing..
So I backup OS with qt4-fsarchive just in case... and went full d.u.

Mine is Debian-Sid-xfce. has been running this for a long time.

Reboot, now checking.., so far I observe these:
1. network manager applet on xfce panel was the same as before, nothing unusual

2. no issue to plug in USB drive and it get automatically appear on Thunar file manage's panel. no issue reading / writing.

3. no issue using thunar 's network icon to click my network drive, find the file and play.

Old issue ( I did not yet figure out how) is vlc takes too long, some 10-13 seconds, to start play media file, probably not related to this d.u since I saw it for a long time.

EDIT:
check another partition with Debian Wheezy, vlc2.06. . click media file, just 1 second lag to play.
check also Debian Sid xfce, install gnome-mplayer,, click media file, may be 1 second lag to play.
it seems vlc2.08 in sid lag 10+ seconds, unknown cause.


However one 'good thing'.., previously I must always retype username/password to get connected to network share, eventhou I have ticked 'Save the password forever', that did not stay upon reboot or logout/login, no issue on Debian Wheezy so it must be something in SID.. this d.u. changed that, now I click the file and it plays without asking for user/pw.. hopefully nothing is bad :mrgreen:


4. I lost my ability to click an ICON to launch a program chartnexus.
error says
Failed to execute command "/opt/java/32/jre1.7.0_25/bin/javaws -localfile -J-Djnlp.application.href=http://www.chartnexus.com/products/chartnexus.jnlp /home/wayne/.java/deployment/cache/6.0/20/4a52c6d4-262d47e5".


Failed to execute child process "/opt/java/32/jre1.7.0_25/bin/javaws" (No such file or directory)
so, re-install chartnexus , copy it to desktop, and it now allows me to click and launch chartnexus.

I am not sure where is the problem, because this d u also have trigger a new sun-jre.
On iceweasel's Tools>Addons I saw new Java(TM) Plug-in 10.40.2 10.40.2

Need some help to get this launcher work...link seems to be not updated ?


regarding 32/64 bit, I have read so many posts saying 64bit IS the Way and faster.
somehow in many experience, I have more issue on 64-bit.
so i have been running 32-bit in all 64-bit computers for as long as they give me stable running with less trouble...of course that gave me one more 'advantage' because I have two old 32-bit computers so I can clone from this one and make old computer work with less effort. :mrgreen:

GregE
Level 4
Level 4
Posts: 472
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by GregE » Tue Sep 17, 2013 9:13 pm

I am using VLC 2.08. If I right click on a video file and play with VLC it opens and runs almost instantly. My system runs on an OCZ 256Gb SSD.

My only suggestion is to un-install VLC and delete the config files from ~/.local and ~/.config then re-install and run it once and answer the questions again. Then try it and see what happens. Maybe tell it not to retrieve info from he internet.

On my Xfce machines I generally install Nautilus and set it as the default file manager. It should not matter for this type of issue, but that is one area where our setups differ.

:)

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Mon Sep 23, 2013 9:55 am

chartnexus issue resolved with du last week.

vlc 2.0.8 10+ seconds lag still exist.


today check d.u. and see that it wants to remove xorg stuff.. better wait..

Code: Select all

The following packages will be REMOVED:
  task-desktop task-xfce-desktop xserver-xorg-video-all xserver-xorg-video-apm
  xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips
  xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-i740
  xserver-xorg-video-neomagic xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-tseng xserver-xorg-video-voodoo
The following packages will be upgraded:
  at-spi2-core ethtool gparted initramfs-tools libatspi2.0-0 libc-bin
  libc-dev-bin libc6 libc6-dev libc6-i686 libgail18 libgmime-2.6-0 libgtk2.0-0
  libgtk2.0-bin libgtk2.0-common libsoundtouch0 libtracker-sparql-0.16-0
  lightdm-gtk-greeter lintian locales multiarch-support tar
  virtualbox-guest-utils virtualbox-guest-x11 xserver-common xserver-xorg-core
  xserver-xorg-input-evdev xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse
  xserver-xorg-input-wacom xserver-xorg-video-cirrus xserver-xorg-video-geode
  xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
  xserver-xorg-video-nouveau xserver-xorg-video-radeon xserver-xorg-video-vesa
  xserver-xorg-video-vmware
40 upgraded, 0 newly installed, 24 to remove and 0 not upgraded.
Need to get 29.2 MB of archives.
After this operation, 5,650 kB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.

wayne128
Level 10
Level 10
Posts: 3412
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by wayne128 » Sat Sep 28, 2013 10:53 pm

Xorg transition seems over.

did d.u. today.
all seems OK

however, notice one strange behavious , apt-get recommend to 'autoremove' many packages that I use regularly, like lightdm, vlc, libreoffice, even network manager... something is not right

Code: Select all

Calculating upgrade... The following packages were automatically installed and are no longer required:
  brasero brasero-common cdrdao dnsmasq-base exfalso fonts-lyx
  fonts-opensymbol fonts-sil-gentium fonts-sil-gentium-basic gimp gimp-data
  gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gir1.2-gtksource-3.0
  gnupg-agent gnupg2 gstreamer0.10-chromaprint gstreamer0.10-plugins-ugly
  gstreamer1.0-plugins-ugly gstreamer1.0-pulseaudio hyphen-en-us libamd2.2.0
  libao-common libao4 libassuan0 libbabl-0.1-0 libboost-date-time1.49.0
  libboost-date-time1.54.0 libboost-system1.54.0 libbrasero-media3-1 libcddb2
  libcdr-0.0-0 libchromaprint0 libclucene-contribs1 libclucene-core1
  libcmis-0.3-3 libcolamd2.7.1 libcrystalhd3 libdbusmenu-glib4
  libdirac-decoder0 libdvbpsi8 libebml3 libexttextcat-2.0-0 libexttextcat-data
  libgcr-3-1 libgegl-0.2-0 libgimp2.0 libgmime-2.6-0 libgnome-bluetooth11
  libgpgme11 libgtksourceview-3.0-1 libgtksourceview-3.0-common
  libhsqldb1.8.0-java libhyphen0 libilmbase6 libindicate-gtk3 libindicate5
  libiso9660-8 libjim0debian2 libksba8 liblangtag-common liblangtag1
  liblightdm-gobject-1-0 libmatroska5 libmnl0 libmpeg2-4 libmspub-0.0-0
  libmwaw-0.1-1 libmythes-1.2-0 libnetfilter-conntrack3 libnl-route-3-200
  libnm-glib-vpn1 libnm-glib4 libnm-gtk-common libnm-gtk0 libnm-util2
  libnss3-1d libodfgen-0.0-0 libopenexr6 libopenraw1 liborcus-0.6-0 libpth20
  libreoffice libreoffice-base libreoffice-base-core libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-gtk
  libreoffice-help-en-us libreoffice-impress libreoffice-java-common
  libreoffice-math libreoffice-report-builder-bin libreoffice-style-galaxy
  libreoffice-style-tango libreoffice-writer libresid-builder0c2a
  libsdl-image1.2 libservlet2.5-java libsidplay1 libsidplay2 libspeexdsp1
  libtar0 libtidy-0.99-0 libtotem-plparser17 libtracker-sparql-0.16-0
  libtwolame0 libumfpack5.4.0 libupnp6 libva-x11-1 libvcdinfo0 libvisio-0.0-0
  libvlc5 libvlccore5 libwmf0.2-7 libwpd-0.9-9 libwpg-0.2-2 libwps-0.2-2
  libxcb-composite0 libxcb-keysyms1 libxcb-randr0 libxcb-xv0 lightdm
  lightdm-gtk-greeter lp-solve media-player-info
  mobile-broadband-provider-info modemmanager mythes-en-us network-manager
  network-manager-gnome pinentry-gtk2 python-cddb python-feedparser
  python-gpod python-gst0.10 python-indicate python-mmkeys python-musicbrainz2
  python-mutagen python-pyinotify python-uno python-utidylib quodlibet
  quodlibet-plugins uno-libs3 ure usb-modeswitch usb-modeswitch-data vlc
  vlc-data vlc-nox vlc-plugin-notify vlc-plugin-pulse xfonts-mathml xsane
  xsane-common
Use 'apt-get autoremove' to remove them.
Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
EDIT
It seems siduction's forum had similar issue:
http://siduction.org/index.php?name=PNphpBB2&file=viewtopic&t=3837
and was suggested NOT to use apt-get autoremove..especially when I have hundreds of removal on the list with many programs being used.. when there is only a handful I can check each one, with hundred it is impossible for such a check.. So I would leave it alone.

User avatar
Gerd50
Level 5
Level 5
Posts: 734
Joined: Wed Jul 22, 2009 3:42 pm
Location: Fishtown, Germany

Re: LMDE Breakages (Tracking SID) May 7, 2013

Post by Gerd50 » Tue Oct 15, 2013 5:46 am

Yesterdays du makes sid boot in a black screen. With todays du it isn't fixed. Better wait some days with
a next update. I checked the packages of todays du, but don't have any idea, which one could cause it.

After i wrote back the partition, here is the list of todays updates:
Die folgenden Pakete sind zurückgehalten worden:
ffmpeg libavfilter2
Die folgenden Pakete werden aktualisiert (Upgrade):
console-setup console-setup-linux curl gdm3 gir1.2-gnomedesktop-3.0
gir1.2-nautilus-3.0 gir1.2-peas-1.0 gnome-desktop3-data gnome-disk-utility
gnome-session-bin gnome-settings-daemon gsettings-desktop-schemas
keyboard-configuration libasound2 libasound2-data libatasmart4 libcurl3
libcurl3-gnutls libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0
libnautilus-extension1a libpeas-1.0-0 libpeas-common libpolkit-agent-1-0
libpolkit-backend-1-0 libpolkit-gobject-1-0 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common
libwebkitgtk-3.0-0 libwebkitgtk-3.0-common nautilus nautilus-data policykit-1
python-gi python-gi-cairo python-gobject python3-gi unzip w3m
It must be gnome i guess.
I believe in everything, except humans.

LM9, Debian Testing Xfce, Debian Sid Xfce - CPU/Amd64 2,6Ghz, Graphics/Nvidia 9600 GT, Sound/SB Audigy4 emu10K1

Locked

Return to “LMDE 1 Archive”